ruby-rainbow 2.x -> 3.x transition

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

ruby-rainbow 2.x -> 3.x transition

Pirate Praveen-3
Hi,

I have uploaded ruby-rainbow 3.0 to experimental and will be uploading
it to unstable soon when gitlab 11.3.10 is ready.

The only breaking changes seem to be dropping support for ruby 1.9.3 and
2.0 [1].

Since it is a major update, the gemspec files of reverse dependencies
will need to be relaxed.

ruby-compass-rails - already broken
asciiart rubocop - autopkgtest is already failing, so would need more
changes anyway
ruby-process-daemon - needs to relax dependency

I hope to fix them soon, but help is welcome.

Thanks
Praveen

PS: A heads up like this for all major version updates would be good.

[1]
https://github.com/sickill/rainbow/blob/master/Changelog.md#300-2017-11-29




signature.asc (849 bytes) Download Attachment